/**
 * Marks a class as Injectable.
 * This means that the class's instance can be injected into constructors of other classes through DI.
 * @param registrationName Name to be used while resolving the dependency.
 * During constructor resolution, this name should match the parameter name, or else the `injection` process wouldn't work.
 */
export declare function Injectable(registrationName: string): (constructor: any) => void;
